Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ForceNode Class Reference

A force that lives in the scene graph and is therefore subject to local coordinate systems. More...

List of all members.

## Public Member Functions
| ForceNode (string name)
| default constructor
| addForce (BaseForce force)
| addForcesFrom (ForceNode const other)
| append operation
| clear ()
BaseForce | getForce (int index)
list | getForces ()
int | getNumForces ()
| removeForce (int index)
| remove operation
| removeForce (BaseForce f)
| remove operation
| write (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| write (ostream out)
| Write a string representation of this instance to <out>.
| writeForces (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| writeForces (ostream out)
| Write a string representation of this instance to <out>.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A force that lives in the scene graph and is therefore subject to local coordinate systems.

An example of this would be simulating gravity in a rotating space station. or something.

## Constructor & Destructor Documentation

ForceNode | ( | string | name | ) |

default constructor

## Member Function Documentation

addForce | ( | BaseForce | force | ) |

addForcesFrom | ( | ForceNode const | other | ) |

append operation

clear | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

BaseForce getForce | ( | int | index | ) |

list getForces | ( |  | ) |

int getNumForces | ( |  | ) |

removeForce | ( | BaseForce | f | ) |

remove operation

removeForce | ( | int | index | ) |

remove operation

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writeForces | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

writeForces | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties